package com.ningdatech.pmapi.meta.assembler;


import com.ningdatech.pmapi.meta.model.entity.MetaDictionary;
import com.ningdatech.pmapi.meta.model.dto.DictionaryDTO;
import com.ningdatech.pmapi.meta.model.vo.DictionaryVO;

/**
 * @author liuxinxin
 * @date 2022/7/22 上午10:53
 */

public class MetaDictionaryAssembler {

    public static DictionaryDTO toDictionaryDTO(MetaDictionary dictionaryManage) {
        DictionaryDTO dictionaryDTO = new DictionaryDTO();
        dictionaryDTO.setDescribe(dictionaryManage.getDictionaryDescribe());
        dictionaryDTO.setDictionaryCode(dictionaryManage.getDictionaryCode());
        dictionaryDTO.setDictionaryType(dictionaryManage.getDictionaryType());
        dictionaryDTO.setName(dictionaryManage.getDictionaryName());
        dictionaryDTO.setReadonly(dictionaryManage.getReadonly());
        dictionaryDTO.setSortValue(dictionaryManage.getSortValue());
        return dictionaryDTO;
    }

    public static DictionaryVO toDictionaryVO(DictionaryDTO dictionaryDTO) {
        DictionaryVO dictionaryVO = new DictionaryVO();
        dictionaryVO.setDescribe(dictionaryDTO.getDescribe());
        dictionaryVO.setDictionaryCode(dictionaryDTO.getDictionaryCode());
        dictionaryVO.setDictionaryType(dictionaryDTO.getDictionaryType());
        dictionaryVO.setName(dictionaryDTO.getName());
        dictionaryVO.setReadonly(dictionaryDTO.getReadonly());
        dictionaryVO.setSortValue(dictionaryDTO.getSortValue());
        return dictionaryVO;
    }
}
